Subject: bug#23292: 24.5; Combining characters do not reliably combine

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Apr 2016 13:01:11 +0300

> From: Alexis <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 15 Apr 2016 21:52:51 +1000
> 
> > Something with your fonts and fontsets, I guess.  If you force 
> > Emacs to use Inconsolata-g for "̷", does the composition happen?
> 
> Hmm, i'm having some difficulty doing this. i start GUI Emacs from 
> an X terminal via 'emacs -Q'. i then go to the Options menu, 
> select "Set Default Font", and choose "InconsolataG Medium"[1]. In 
> *scratch*, i type 'o', and confirm with `describe-char' that 
> "InconsolataG" is the font used for that character.
> 
> i then evaluate:
> 
>     (set-fontset-font "fontset-default" '(#x0337 . #x0337) 
>     "InconsolataG")
> 
> with C-x C-e, which returns nil. If i then move point immediately 
> after the previously-typed 'o', and type C-x 8 RET 337, the '/' is 
> displayed visually separate from the 'o'. But using 
> `describe-char' on it says that Gentium is the font used.

Looks like for some reason Emacs rejects InconsolataG as the font for
that character, not sure why.